Skip to content

Create a template

POST/templates

Costs 2 rate-limit points · Rate limits

Create a template

Request body

  • templateobjectRequired
    Show 14 child attributesHide child attributes
    • namestring
      Example: Wholesale invoice
    • template_typestring
      Example: invoice
      One of invoicepacking_slipcredit_note
    • accent_colorstring
      Example: #0B7285
    • font_familystring
      Example: Helvetica
    • font_sizeinteger
      Example: 11
    • date_formatstring
      Example: %d %b %Y
    • invoice_number_prefixstring
      Example: WS-
    • logo_urlstring
      Example: https://example.com/logo.png
    • logo_widthinteger
      Example: 120
    • logo_enabledboolean
      Example: true
    • pre_selected_ordersboolean
      Example: false
    • pre_selected_draft_ordersboolean
    • pre_selected_pos_ordersboolean
    • pre_selected_credit_notesboolean

Returns

The template object.

Errors

401

Missing or invalid API key.

403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

422

Request could not be processed.

429

Rate limit exceeded. Check X-RateLimit-Reset header.

POST/templates
curl -X POST "https://app.invoicefalcon.com/api/v1/external/templates" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "template": {
      "name": "Wholesale invoice",
      "template_type": "invoice",
      "accent_color": "#0B7285",
      "font_family": "Helvetica",
      "font_size": 11,
      "date_format": "%d %b %Y",
      "invoice_number_prefix": "WS-",
      "logo_url": "https://example.com/logo.png",
      "logo_width": 120,
      "logo_enabled": true,
      "pre_selected_orders": false
    }
  }'
Response
{
  "template": {
    "id": 311,
    "name": "Default invoice",
    "template_type": "invoice",
    "design_key": "classic",
    "pre_selected_orders": true,
    "pre_selected_draft_orders": false,
    "pre_selected_pos_orders": false,
    "pre_selected_credit_notes": false,
    "accent_color": "#1F6FEB",
    "font_family": "Helvetica",
    "font_size": 11,
    "date_format": "%d %b %Y",
    "invoice_number_prefix": "INV-",
    "logo_url": "https://example.com/logo.png",
    "logo_width": 120,
    "logo_enabled": true,
    "created_at": "2025-11-03T14:02:00Z",
    "updated_at": "2026-01-10T08:15:00Z"
  }
}